#!/usr/bin/env python

import string, sys, os, urllib
snarfdir = sys.path[0]

keyserver = sys.stdin.readline()
#win32
keyserver = string.strip(keyserver)

# In case freenet_request bombs with no output, we must send "something"
# to output or this process will never end.

sys.stdout.write("\n")
sys.stdout.flush()


filein = urllib.urlopen(keyserver)

l = filein.readline()
sys.stdout.write(l)

while l:
    l = filein.readline()
    sys.stdout.write(l)

sys.stdout.flush()